package com.tedxiong.kotlin;

import org.junit.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import static org.junit.Assert.*;

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * @see <a href="http://d.android.com/tools/testing">Testing documentation</a>
 */
public class KotlinUnitTest {
    private KotlinUnit mUnit = new KotlinUnit();

    @Test
    public void testLet_0() throws Exception {
        assertTrue("testLet_0", mUnit.nameSplit("ted xiong"));
    }

    @Test
    public void testApply_0() throws Exception {
        ArrayList<String> space = new ArrayList<>();
        assertTrue("testApply_0", mUnit.getDateStr(space));
    }

    @Test
    public void testWith_0() throws Exception {
        HashMap<String,String> map = new HashMap<>();
        assertTrue("testWith_0", mUnit.getCompileInfo(map));
    }

    @Test
    public void testRun_0() throws Exception {
        assertTrue("testRun_0", mUnit.sayHiTo("xiongwei"));
    }

    @Test
    public void testAlso_0() throws Exception {
        assertTrue("testAlso_0", mUnit.getCircumference(10));
    }
}